# Uses of Interface
org.eclipse.swt.SwtCallable

Packages that use SwtCallable
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of SwtCallable in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type SwtCallable
Modifier and Type
Method
Description
`static <V, E extends Exception>
CompletableFuture<V>`
BusyIndicator.`compute(SwtCallable<V,E> action)`
If called from a `Display` thread use the given `SwtCallable` to produces a `CompletableFuture` providing busy feedback using the busy indicator while computation is running.
`static <V, E extends Exception>
CompletableFuture<V>`
BusyIndicator.`compute(SwtCallable<V,E> action, Executor executor)`
If called from a `Display` thread use the given `SwtCallable` to compute a `CompletableFuture` providing busy feedback using the busy indicator while computation is running.

## Uses of SwtCallable in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type SwtCallable
Modifier and Type
Method
Description
`<T, E extends Exception>
T`
Display.`syncCall(SwtCallable<T,E> callable)`
Calls the callable on the user-interface thread at the next reasonable opportunity, and returns the its result from this method.